void buildEELSMap(image data,string Element,number bcgrd_Start,number bcgrd_Width,number signal_Start,number signal_Width)
	{
	number scale = data.ImageGetDimensionScale(0)
	string units = data.ImageGetDimensionUnitString(0)

	number bcgrd_End = bcgrd_Start + bcgrd_Width
	number signal_End = signal_Start + signal_Width

	image map = ExtractEELSSignal112(data,bcgrd_Start,bcgrd_End,signal_Start,signal_End)

	map.ImageSetDimensionCalibration(0,0,scale,units,1)
	map.ImageSetDimensionCalibration(1,0,scale,units,1)

	map.imagesetName(Element)
	map.showimage()
	}


image data := getFrontImage()

string Element
number bcgrd_Start,bcgrd_Width
number signal_Start,signal_Width



Element = "N"
bcgrd_Start = 350
bcgrd_Width = 40
signal_Start = 400
signal_Width = 40
data.buildEELSMap(Element,bcgrd_Start,bcgrd_Width,signal_Start,signal_Width)
result("\n"+Element+" map is made")

Element = "Ti"
bcgrd_Start = 420
bcgrd_Width = 35
signal_Start = 460
signal_Width = 40
data.buildEELSMap(Element,bcgrd_Start,bcgrd_Width,signal_Start,signal_Width)
result("\n"+Element+" map is made")

Element = "O"
bcgrd_Start = 490
bcgrd_Width = 50
signal_Start = 540
signal_Width = 50
data.buildEELSMap(Element,bcgrd_Start,bcgrd_Width,signal_Start,signal_Width)
result("\n"+Element+" map is made")


Element = "Al"
bcgrd_Start = 1320
bcgrd_Width = 200
signal_Start = 1530
signal_Width = 200
data.buildEELSMap(Element,bcgrd_Start,bcgrd_Width,signal_Start,signal_Width)
result("\n"+Element+" map is made")

Element = "Si"
bcgrd_Start = 1620
bcgrd_Width = 200
signal_Start = 1830
signal_Width = 200
data.buildEELSMap(Element,bcgrd_Start,bcgrd_Width,signal_Start,signal_Width)
result("\n"+Element+" map is made")
